<?xml version="1.0" encoding="UTF-8"?><schema xmlns="http://www.w3.org/2001/XMLSchema" xmlns:FWEA="http://transfer.hft-stuttgart.de/pages/fwe-ade/FWEArea/v2.1/XSD" xmlns:FWEL="http://transfer.hft-stuttgart.de/pages/fwe-ade/FWELanduse/v2.1/XSD" xmlns:core="http://www.opengis.net/citygml/2.0" xmlns:gml="http://www.opengis.net/gml" elementFormDefault="qualified" targetNamespace="http://transfer.hft-stuttgart.de/pages/fwe-ade/FWEArea/v2.1/XSD" version="2.1">
  <annotation>
    <documentation>This introduces a new city object "FWEArea" as a part of the CityGML FWE ADE developed in the IN-SOURCE project.</documentation>
  </annotation>
  <import namespace="http://transfer.hft-stuttgart.de/pages/fwe-ade/FWELanduse/v2.1/XSD"/>
  <import namespace="http://www.opengis.net/citygml/2.0" schemaLocation="http://schemas.opengis.net/citygml/2.0/cityGMLBase.xsd"/>
  <import namespace="http://www.opengis.net/gml" schemaLocation="http://schemas.opengis.net/gml/3.1.1/base/gml.xsd"/>
  <!--XML Schema document created by ShapeChange - http://shapechange.net/-->
  <element name="AreaSurvey" substitutionGroup="gml:_Feature" type="FWEA:AreaSurveyType"/>
  <complexType name="AreaSurveyType">
    <complexContent>
      <extension base="gml:AbstractFeatureType">
        <sequence>
          <element minOccurs="0" name="surveyYear" type="integer"/>
          <element maxOccurs="unbounded" minOccurs="0" name="surveyYearVersion" type="double"/>
          <element maxOccurs="unbounded" minOccurs="0" name="surveyDescription" type="string"/>
          <element minOccurs="0" name="population" type="integer"/>
          <element minOccurs="0" name="buildingFootrpintArea" type="gml:AreaType"/>
          <element minOccurs="0" name="settlementArea" type="gml:AreaType"/>
          <element minOccurs="0" name="openPlotArea" type="gml:AreaType"/>
          <element minOccurs="0" name="trafficArea" type="gml:AreaType"/>
          <element minOccurs="0" name="vegetationArea" type="gml:AreaType"/>
          <element minOccurs="0" name="waterBodyArea" type="gml:AreaType"/>
          <element maxOccurs="unbounded" minOccurs="0" name="foodSurveyProperties">
            <complexType>
              <sequence>
                <element ref="FWEA:FoodSurvey"/>
              </sequence>
            </complexType>
          </element>
          <element minOccurs="0" name="energySurveyProperty">
            <complexType>
              <sequence>
                <element ref="FWEA:EnergySurvey"/>
              </sequence>
            </complexType>
          </element>
          <element minOccurs="0" name="waterSurveyProperty">
            <complexType>
              <sequence>
                <element ref="FWEA:WaterSurvey"/>
              </sequence>
            </complexType>
          </element>
        </sequence>
      </extension>
    </complexContent>
  </complexType>
  <complexType name="AreaSurveyPropertyType">
    <sequence minOccurs="0">
      <element ref="FWEA:AreaSurvey"/>
    </sequence>
    <attributeGroup ref="gml:AssociationAttributeGroup"/>
  </complexType>
  <element name="EnergySurvey" substitutionGroup="FWEA:AreaSurvey" type="FWEA:EnergySurveyType"/>
  <complexType name="EnergySurveyType">
    <complexContent>
      <extension base="FWEA:AreaSurveyType">
        <sequence>
          <element minOccurs="0" name="spaceHeatingDemand" type="double"/>
          <element minOccurs="0" name="spaceHeatingDemandUnit" type="string"/>
          <element minOccurs="0" name="spaceCoolingDemand" type="double"/>
          <element minOccurs="0" name="spaceCoolingDemandUnit" type="string"/>
          <element minOccurs="0" name="residentialElectricityDemand" type="double"/>
          <element minOccurs="0" name="residentialElectricityDemandUnit" type="string"/>
          <element minOccurs="0" name="electricityPotentialFromPVBuildings" type="double"/>
          <element minOccurs="0" name="electricityPotentialFromPVBuildingsUnit" type="string"/>
          <element minOccurs="0" name="biomassPrimaryEnergyPotential" type="double"/>
          <element minOccurs="0" name="biomassPrimaryEnergyPotentialUnit" type="string"/>
          <element minOccurs="0" name="biomassElectricityPotential" type="double"/>
          <element minOccurs="0" name="biomassElectricityPotentialUnit" type="string"/>
          <element minOccurs="0" name="biomassThermalPotential" type="double"/>
          <element minOccurs="0" name="biomassThermalPotentialUnit" type="string"/>
        </sequence>
      </extension>
    </complexContent>
  </complexType>
  <complexType name="EnergySurveyPropertyType">
    <sequence minOccurs="0">
      <element ref="FWEA:EnergySurvey"/>
    </sequence>
    <attributeGroup ref="gml:AssociationAttributeGroup"/>
  </complexType>
  <element name="FWEArea" substitutionGroup="core:_CityObject" type="FWEA:FWEAreaType"/>
  <complexType name="FWEAreaType">
    <complexContent>
      <extension base="core:AbstractCityObjectType">
        <sequence>
          <element minOccurs="0" name="surfaceArea" type="gml:AreaType"/>
          <element minOccurs="0" name="fweAreaName" type="string"/>
          <element minOccurs="0" name="fweSystemName" type="string"/>
          <element minOccurs="0" name="lod0MultiSurface" type="gml:MultiSurfacePropertyType"/>
          <element maxOccurs="unbounded" minOccurs="0" name="areaSurveyProperties">
            <complexType>
              <sequence>
                <element ref="FWEA:AreaSurvey"/>
              </sequence>
            </complexType>
          </element>
        </sequence>
      </extension>
    </complexContent>
  </complexType>
  <complexType name="FWEAreaPropertyType">
    <sequence minOccurs="0">
      <element ref="FWEA:FWEArea"/>
    </sequence>
    <attributeGroup ref="gml:AssociationAttributeGroup"/>
  </complexType>
  <element name="FoodSurvey" substitutionGroup="FWEA:AreaSurvey" type="FWEA:FoodSurveyType"/>
  <complexType name="FoodSurveyType">
    <complexContent>
      <extension base="FWEA:AreaSurveyType">
        <sequence>
          <element maxOccurs="unbounded" minOccurs="0" name="foodCategory" type="gml:CodeType"/>
          <element minOccurs="0" name="foodDemand" type="double"/>
          <element minOccurs="0" name="foodDemandUnit" type="string"/>
          <element minOccurs="0" name="foodProduction" type="double"/>
          <element minOccurs="0" name="foodProductionUnit" type="string"/>
          <element minOccurs="0" name="foodProductionWaterDemand" type="double"/>
          <element minOccurs="0" name="foodProductionWaterDemandUnit" type="string"/>
          <element minOccurs="0" name="foodProductionEnergyDemand" type="double"/>
          <element minOccurs="0" name="foodProductionEnergyDemandUnit" type="string"/>
          <element minOccurs="0" name="foodConsumption" type="double"/>
          <element minOccurs="0" name="foodConsumptionUnit" type="string"/>
        </sequence>
      </extension>
    </complexContent>
  </complexType>
  <complexType name="FoodSurveyPropertyType">
    <sequence minOccurs="0">
      <element ref="FWEA:FoodSurvey"/>
    </sequence>
    <attributeGroup ref="gml:AssociationAttributeGroup"/>
  </complexType>
  <element name="WaterSurvey" substitutionGroup="FWEA:AreaSurvey" type="FWEA:WaterSurveyType"/>
  <complexType name="WaterSurveyType">
    <complexContent>
      <extension base="FWEA:AreaSurveyType">
        <sequence>
          <element minOccurs="0" name="domesticWaterDemand" type="double"/>
          <element minOccurs="0" name="domesticWaterDemandUnit" type="string"/>
          <element minOccurs="0" name="domesticHotWaterDemand" type="double"/>
          <element minOccurs="0" name="domesticHotWaterDemandUnit" type="string"/>
          <element minOccurs="0" name="domesticWaterWaste" type="double"/>
          <element minOccurs="0" name="domesticWaterWasteUnit" type="string"/>
          <element minOccurs="0" name="domesticSolidWaste" type="double"/>
          <element minOccurs="0" name="domesticSolidWasteUnit" type="string"/>
          <element minOccurs="0" name="totalDomesticWaste" type="double"/>
          <element minOccurs="0" name="totalDomesticWasteUnit" type="string"/>
          <element minOccurs="0" name="totalDomesticWasteEnergyPotential" type="double"/>
          <element minOccurs="0" name="totalDomesticWasteEnergyPotentialUnit" type="string"/>
        </sequence>
      </extension>
    </complexContent>
  </complexType>
  <complexType name="WaterSurveyPropertyType">
    <sequence minOccurs="0">
      <element ref="FWEA:WaterSurvey"/>
    </sequence>
    <attributeGroup ref="gml:AssociationAttributeGroup"/>
  </complexType>
</schema>
